commit 52a59b6e2d56c0823b70da2492609efdd2a5b913
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Mon Jun 5 22:42:45 2017 +0200

    adapt vaadin to model changes 4.7

diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/container/LeafNodeTaxonContainer.java b/src/main/java/eu/etaxonomy/cdm/vaadin/container/LeafNodeTaxonContainer.java
index 22f5935c..51d14c46 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/container/LeafNodeTaxonContainer.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/container/LeafNodeTaxonContainer.java
@@ -122,7 +122,7 @@ public class LeafNodeTaxonContainer extends CdmSQLContainer implements Container
 
     public void setNameFilter(String filterString) {
         removeNameFilter();
-        nameFilter = new SimpleStringFilter("tnb.titleCache", filterString, true, true);
+        nameFilter = new SimpleStringFilter("n.titleCache", filterString, true, true);
         addContainerFilter(nameFilter);
     }
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/model/registration/RegistrationWorkingSet.java b/src/main/java/eu/etaxonomy/cdm/vaadin/model/registration/RegistrationWorkingSet.java
index 28904472..8e3d45da 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/model/registration/RegistrationWorkingSet.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/model/registration/RegistrationWorkingSet.java
@@ -59,7 +59,7 @@ public class RegistrationWorkingSet {
 
     /**
      * Validate and add all Registrations to the working set which are referring to the same publication
-     * which is either the citation of the nomenclatural reference of the {@link TaxonNameBase} or the
+     * which is either the citation of the nomenclatural reference of the {@link TaxonName} or the
      * citation of the {@link TypeDesignations}. Registration with a differing publication are not added to
      * the working set, instead a {@link RegistrationValidationException} is thrown which is a container for
      * all validation problems.
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/util/CdmQueryFactory.java b/src/main/java/eu/etaxonomy/cdm/vaadin/util/CdmQueryFactory.java
index dcb31590..b5e8bf3d 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/util/CdmQueryFactory.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/util/CdmQueryFactory.java
@@ -48,11 +48,11 @@ public class CdmQueryFactory {
     public static QueryDelegate generateTaxonTreeQuery(String name_id, String classificationId)  {
         String FROM_QUERY = " FROM TaxonBase tb " +
                 "INNER JOIN TaxonNode tn on tn.taxon_id=tb.id " +
-                "INNER JOIN TaxonNameBase tnb on tb.name_id=tnb.id " +
+                "INNER JOIN TaxonName n on tb.name_id=n.id " +
                 "INNER JOIN Classification cl on cl.id=tn.classification_id and cl.id='"+classificationId+"'";
         String SELECT_QUERY="SELECT tn.id as " + ID +
                 ", tb.uuid as " + UUID_ID +
-                ", tnb.titleCache as " + name_id +
+                ", n.titleCache as " + name_id +
                 ", tn.parent_id as parent" +
                 FROM_QUERY;
         String COUNT_QUERY = "SELECT count(*) " + FROM_QUERY;
@@ -68,11 +68,11 @@ public class CdmQueryFactory {
             String has_syn_id)  {
         String FROM_QUERY = " FROM TaxonBase tb " +
                 "INNER JOIN TaxonNode tn on tn.taxon_id=tb.id " +
-                "INNER JOIN TaxonNameBase tnb on tb.name_id=tnb.id " +
-                "INNER JOIN DefinedTermBase dtb on tnb.rank_id = dtb.id";
+                "INNER JOIN TaxonName n on tb.name_id=n.id " +
+                "INNER JOIN DefinedTermBase dtb on n.rank_id = dtb.id";
         String SELECT_QUERY="SELECT tb.id as " + ID +
                 ", tb.uuid as " + UUID_ID +
-                ", tnb.titleCache as " + name_id +
+                ", n.titleCache as " + name_id +
                 ", tb.publish as " + pb_id +
                 ", tn.unplaced as " + unp_id +
                 ", dtb.titleCache as " + rank_id +
@@ -96,10 +96,10 @@ public class CdmQueryFactory {
 			}
 		}
         String FROM_QUERY =
-                "FROM TaxonNameBase tnb "
-                + "INNER JOIN TaxonBase tb on tnb.id = tb.name_id and tb.DTYPE='Taxon' " + // # name<->taxon
+                "FROM TaxonName n "
+                + "INNER JOIN TaxonBase tb on n.id = tb.name_id and tb.DTYPE='Taxon' " + // # name<->taxon
         "INNER JOIN TaxonNode tn on tn.taxon_id = tb.id "+
-        "INNER JOIN DefinedTermBase rank on tnb.rank_id = rank.id "+// # rank <-> name
+        "INNER JOIN DefinedTermBase rank on n.rank_id = rank.id "+// # rank <-> name
         "LEFT OUTER JOIN DescriptionBase descr on descr.taxon_id = tb.id "+// # taxon <-> taxon description (not every taxon has a description)
         "LEFT OUTER JOIN DescriptionElementBase descrEl on descrEl.indescription_id = descr.id and descrEl.DTYPE = 'Distribution' "+// # distribution <-> description
         "LEFT OUTER JOIN DefinedTermBase statusTerm on statusTerm.id = descrEl.status_id "+
@@ -174,10 +174,10 @@ public class CdmQueryFactory {
 
     public static QueryDelegate generateSynonymOfTaxonQuery(String name_id)  {
     	String FROM_QUERY = " FROM TaxonBase tb " +
-    			"INNER JOIN TaxonNameBase tnb on tb.name_id=tnb.id " +
+    			"INNER JOIN TaxonName n on tb.name_id=n.id " +
     			"INNER JOIN TaxonBase acc on tb.acceptedTaxon_id = acc.id "; //or s.id = ?
     	String SELECT_QUERY="SELECT tb.id as " + ID +
-    			", tnb.titleCache as " + name_id +
+    			", n.titleCache as " + name_id +
     			FROM_QUERY;
     	String COUNT_QUERY = "SELECT count(*) " + FROM_QUERY;
     	String CONTAINS_QUERY = "SELECT * FROM TaxonBase syn WHERE syn.id = ?"; //or s.id = ?
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/util/converter/TypeDesignationConverter.java b/src/main/java/eu/etaxonomy/cdm/vaadin/util/converter/TypeDesignationConverter.java
index 72983db8..76615e35 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/util/converter/TypeDesignationConverter.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/util/converter/TypeDesignationConverter.java
@@ -48,14 +48,14 @@ public class TypeDesignationConverter {
     private String typifiedNameCache = null;
 
     /**
-     * @param taxonNameBase
+     * @param taxonName
      *
      */
-    public TypeDesignationConverter(Collection<TypeDesignationBase> typeDesignations, TaxonName taxonNameBase) {
+    public TypeDesignationConverter(Collection<TypeDesignationBase> typeDesignations, TaxonName taxonName) {
         this.typeDesignations = typeDesignations;
         orderedStrings = new HashMap<>(typeDesignations.size());
-        if(taxonNameBase != null){
-            this.typifiedNameCache = taxonNameBase.getTitleCache();
+        if(taxonName != null){
+            this.typifiedNameCache = taxonName.getTitleCache();
         }
     }
 
diff --git a/src/test/java/eu/etaxonomy/cdm/vaadin/container/CdmSQLContainerTest.java b/src/test/java/eu/etaxonomy/cdm/vaadin/container/CdmSQLContainerTest.java
index 15c2f1b6..f949a636 100644
--- a/src/test/java/eu/etaxonomy/cdm/vaadin/container/CdmSQLContainerTest.java
+++ b/src/test/java/eu/etaxonomy/cdm/vaadin/container/CdmSQLContainerTest.java
@@ -14,7 +14,8 @@ import eu.etaxonomy.cdm.vaadin.CdmVaadinBaseTest;
 @DataSet
 public class CdmSQLContainerTest extends CdmVaadinBaseTest {
 
-	private static final Logger logger = Logger.getLogger(CdmSQLContainerTest.class);
+	@SuppressWarnings("unused")
+    private static final Logger logger = Logger.getLogger(CdmSQLContainerTest.class);
 
 
 	@Test
